id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes | List of all members
ID3_TagHeader Class Reference

`#include <header_tag.h>`

Inheritance diagram for ID3_TagHeader:

## Public Types
enum | { HEADER_FLAG_UNSYNC = 1 << 7, HEADER_FLAG_EXTENDED = 1 << 6, HEADER_FLAG_EXPERIMENTAL = 1 << 5, HEADER_FLAG_FOOTER = 1 << 4 }
enum | { EXT_HEADER_FLAG_BIT1 = 1 << 7, EXT_HEADER_FLAG_BIT2 = 1 << 6, EXT_HEADER_FLAG_BIT3 = 1 << 5, EXT_HEADER_FLAG_BIT4 = 1 << 4 }
enum | { ID_SIZE = 3, MAJOR_OFFSET = 3, MINOR_OFFSET = 4, FLAGS_OFFSET = 5, SIZE_OFFSET = 6, SIZE = 10 }

## Public Member Functions
| ID3_TagHeader ()
virtual | ~ID3_TagHeader ()
| ID3_TagHeader (const ID3_TagHeader &rhs)
bool | SetSpec (ID3_V2Spec)
size_t | Size () const
void | Render (ID3_Writer &) const
bool | Parse (ID3_Reader &)
void | ParseExtended (ID3_Reader &)
ID3_TagHeader & | operator= (const ID3_TagHeader &hdr)
bool | SetUnsync (bool b)
bool | GetUnsync () const
bool | SetExtended (bool b)
bool | GetExtended () const
bool | SetExperimental (bool b)
bool | GetExperimental () const
bool | SetFooter (bool b)
bool | GetFooter () const
Public Member Functions inherited from ID3_Header
| ID3_Header ()
virtual | ~ID3_Header ()
ID3_V2Spec | GetSpec () const
bool | SetDataSize (size_t size)
size_t | GetDataSize () const
virtual bool | Clear ()
ID3_Header & | operator= (const ID3_Header &rhs)

## Static Public Attributes
static const char *const | ID = "ID3"

## Additional Inherited Members
Protected Attributes inherited from ID3_Header
ID3_V2Spec | _spec
size_t | _data_size
ID3_Flags | _flags
Info * | _info
bool | _changed

## Detailed Description

Definition at line 34 of file header_tag.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
HEADER_FLAG_UNSYNC |
HEADER_FLAG_EXTENDED |
HEADER_FLAG_EXPERIMENTAL |
HEADER_FLAG_FOOTER |

Definition at line 38 of file header_tag.h.

anonymous enum

Enumerator
EXT_HEADER_FLAG_BIT1 |
EXT_HEADER_FLAG_BIT2 |
EXT_HEADER_FLAG_BIT3 |
EXT_HEADER_FLAG_BIT4 |

Definition at line 46 of file header_tag.h.

anonymous enum

Enumerator
ID_SIZE |
MAJOR_OFFSET |
MINOR_OFFSET |
FLAGS_OFFSET |
SIZE_OFFSET |
SIZE |

Definition at line 101 of file header_tag.h.

## Constructor & Destructor Documentation

ID3_TagHeader::ID3_TagHeader | ( |  | ) |
| inline

Definition at line 54 of file header_tag.h.

virtual ID3_TagHeader::~ID3_TagHeader | ( |  | ) |
| inline virtual

Definition at line 55 of file header_tag.h.

ID3_TagHeader::ID3_TagHeader | ( | const ID3_TagHeader & | rhs | ) |
| inline

Definition at line 56 of file header_tag.h.

## Member Function Documentation

bool ID3_TagHeader::GetExperimental | ( |  | ) | const
| inline

Definition at line 86 of file header_tag.h.

bool ID3_TagHeader::GetExtended | ( |  | ) | const
| inline

Definition at line 79 of file header_tag.h.

bool ID3_TagHeader::GetFooter | ( |  | ) | const
| inline

Definition at line 93 of file header_tag.h.

bool ID3_TagHeader::GetUnsync | ( |  | ) | const
| inline

Definition at line 72 of file header_tag.h.

ID3_TagHeader& ID3_TagHeader::operator= | ( | const ID3_TagHeader & | hdr | ) |
| inline

Definition at line 63 of file header_tag.h.

bool ID3_TagHeader::Parse | ( | ID3_Reader & | reader | ) |
| virtual

Implements ID3_Header.

Definition at line 101 of file header_tag.cpp.

void ID3_TagHeader::ParseExtended | ( | ID3_Reader & | reader | ) |

Definition at line 134 of file header_tag.cpp.

void ID3_TagHeader::Render | ( | ID3_Writer & | writer | ) | const
| virtual

Implements ID3_Header.

Definition at line 66 of file header_tag.cpp.

bool ID3_TagHeader::SetExperimental | ( | bool | b | ) |
| inline

Definition at line 80 of file header_tag.h.

bool ID3_TagHeader::SetExtended | ( | bool | b | ) |
| inline

Definition at line 73 of file header_tag.h.

bool ID3_TagHeader::SetFooter | ( | bool | b | ) |
| inline

Definition at line 87 of file header_tag.h.

bool ID3_TagHeader::SetSpec | ( | ID3_V2Spec | spec | ) |
| virtual

Reimplemented from ID3_Header.

Definition at line 39 of file header_tag.cpp.

bool ID3_TagHeader::SetUnsync | ( | bool | b | ) |
| inline

Definition at line 66 of file header_tag.h.

size_t ID3_TagHeader::Size | ( |  | ) | const
| virtual

Implements ID3_Header.

Definition at line 53 of file header_tag.cpp.

## Member Data Documentation

const char *const ID3_TagHeader::ID = "ID3"
| static

Definition at line 100 of file header_tag.h.

The documentation for this class was generated from the following files:

- src/header_tag.h
- src/header_tag.cpp